Page MenuHomePhabricator

[OpenCL] Add cl_khr_integer_dot_product
ClosedPublic

Authored by svenvh on Jul 21 2021, 6:33 AM.

Details

Summary

Add the builtins defined by Section 42 "Integer dot product" in the OpenCL Extension Specification.

See https://www.khronos.org/registry/OpenCL/specs/3.0-unified/html/OpenCL_Ext.html#cl_khr_integer_dot_product

Diff Detail

Event Timeline

svenvh created this revision.Jul 21 2021, 6:33 AM
svenvh requested review of this revision.Jul 21 2021, 6:33 AM
Anastasia accepted this revision.Jul 21 2021, 7:47 AM

LGTM! Thanks

This revision is now accepted and ready to land.Jul 21 2021, 7:47 AM
stuart accepted this revision.Jul 22 2021, 4:52 AM

LGTM, too.

This revision was landed with ongoing or failed builds.Jul 23 2021, 2:11 AM
This revision was automatically updated to reflect the committed changes.